Ciao ospite, se leggi questo messaggio significa che non sei ancora registrato. Clicca qui per registrarti in pochi semplici passaggi, così potrai godere di tutte le funzionalità del nostro Forum. Puoi anche registrarti ed accedere tramite i tuoi account social.
Ciao ospite, se leggi questo messaggio significa che non sei ancora registrato. Clicca qui per registrarti in pochi semplici passaggi, così potrai godere di tutte le funzionalità del nostro Forum. Puoi anche registrarti ed accedere tramite i tuoi account social.

Guarda il Video tutorial su come si usa il forum sul nostro canale YouTube. x


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
CALCOLO AREA
#1
DAI VARI FORUM HO RISCONTRATO CHE IL CALCOLO DELL'AREA NON è POSSIBILE EFFETTUARLO PER SELEZIONE DI PUNTI MA SOLO PER CONTORNI CHIUSI. PER RISOLVERE IL PROBLEMA BASTEREBBE ESTRARRE IL LISP CHE UTILIZZA AUTOCAD PER POTER POI CREARE UN BOTTONE AD-HOC PER NANOCAD. IO SFORTUNATAMENTE NON NE SONO CAPACE (IN VERITA' CI HO PROVATO MA NON CI SONO RIUSCITO)...HO ANCHE PROVATO A SCRIVERE UN LISP APPOSITO MA AHIME' NON NE HO LE BASI....QUALCUNO DI VOI SA FARLO?
GRAZIE PER EVENTUALI RISPOSTE.
Cita messaggio
#2
Mi sembra un'ottima idea la tua.
Purtroppo io non so farlo.
Se qualcuno lo fa si prega di condividere.
Vale anche per altri Lisp ovviamente.
Cita messaggio
#3
caricate questo lisp ..
prima salvate il file areai.lsp
Ciao
Max

listato :


(defun c:AREAI (/ *error* pl x y i sn)
(vl-load-com)
;;; Tharwat 17. May. 2012 ;;;
(defun *error* (msg)
(or (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*")
(princ (strcat "\n** Error: " msg " **"))
)
(princ)
)
(if (not acdoc)
(setq acdoc (vla-get-ActiveDocument (vlax-get-acad-object)))
)
(princ "\n select a Polyline :")
(if (setq pl (ssget '((0 . "*POLYLINE") (-4 . "&") (70 . 1))))
(progn
(vla-StartUndoMark acdoc)
(repeat (setq i (sslength pl))
(setq sn (ssname pl (setq i (1- i))))
(WriteArea sn)
)
(vla-EndUndoMark acdoc)
)
(princ)
)
(princ)
)
(defun WriteArea (sn / e lst pts i x y n sty)
(setq e (entget sn))
(setq lst (vl-remove-if-not
(function
(lambda (x)
(if (eq (car x) 10)
(setq pts (cons (list (cadr x) (caddr x)) pts))
)
)
)
e
)
)
(setq i 0
x 0
y 0
)
(repeat (setq n (length pts))
(setq x (+ (car (nth i pts)) x))
(setq y (+ (cadr (nth i pts)) y))
(setq i (1+ i))
)
(entmake
(list
'(0 . "MTEXT")
'(100 . "AcDbEntity")
'(100 . "AcDbMText")
(assoc 8 (entget sn))
(cons 10 (trans (list (/ x n) (/ y n) 0.) 1 0))
(cons
1
(strcat ""
" "
(rtos (vla-get-area (vlax-ename->vla-object sn)) 2)
" mq"
)
)
(cons 7 (getvar 'textstyle))
(cons 40
(if
(eq (cdr (assoc 40
(setq sty
(entget (tblobjname "style" (getvar 'textstyle)))
)
)
)
0.
)
(cdr (assoc 42 sty))
(cdr (assoc 40 sty))
)
)
'(71 . 5)
)
)
)
Cita messaggio
#4
@aserte
Io non sono molto esperto ma sono riuscito a caricare il tuo lisp ed il risultato non è quello chiesto da Simone Bacco.
Non si tratta di misurare e scrivere l'area di oggetti chiusi ma di misurare un'area sulla base di una sequenza di punti
perché nanoCAD misura già l'area di una polilinea chiusa.
O forse sbaglio qualcosa io?
Cita messaggio
#5
Quello che dice frac_ è giusto.
Questo calcolare l'area di un poligono chiuso....cosa che già fa nanocad di suo.
Questo in più ti scrive direttamente il calcolo.
Manca la sequenza di punti, cosa che dovrebbe essere scontata in quanto non sempre si hanno poligoni chiusi ne ha senso creare poligoni chiusi per ottenere il calcolo dell'area.
Sarebbe come andare a Roma passando da Milano.
Cita messaggio
#6
(04-12-2015, 09:12 AM)Simone Bacco Ha scritto: Manca la sequenza di punti, cosa che dovrebbe essere scontata in quanto non sempre si hanno poligoni chiusi ne ha senso creare poligoni chiusi per ottenere il calcolo dell'area.
Sarebbe come andare a Roma passando da Milano.

Volevo sapere se ad oggi, visto che quest'argomento langue, ancora non è stata trovata una soluzione adeguata. 
Da quello che ho potuto vedere... purtroppo no, anche se spero vivamente di sbagliarmi.
Novità a riguardo?

In tal caso è ancora valida la citazione di Simone con il passaggio da Roma. Big Grin
Cita messaggio


Discussioni simili
Thread Autore Replies Views Last Post
  ruota con punti e area con punti mecguyvertopten@alice.it 1 457 03-21-2022, 11:50 AM
Last Post: mrossignol
  FINESTRA AREA DI STAMPA ERRATA STUDIO GEOM. SARA MARTON 9 4,566 06-27-2020, 07:33 PM
Last Post: frac_
  Comando Area su Nanocad 5 geomtore 3 2,811 04-06-2020, 10:46 AM
Last Post: frac_
  area lavoro bianca f.naselli 1 2,325 04-07-2015, 10:41 AM
Last Post: Fabrizio Pieri
  calcolo delle aree con nanocad Alessandro Perricone 3 9,965 04-05-2015, 03:45 PM
Last Post: f.naselli
  Calcolo Aree Nanocad lorenzo0 3 4,561 01-16-2015, 07:04 PM
Last Post: frac_
  nanocad: movimento mouse nell'area di lavoro Emiliano67 10 10,133 10-28-2014, 03:28 PM
Last Post: albertoromano
  comando inquire-interroga area massimiliano 1 3,775 05-12-2014, 09:28 AM
Last Post: Fabrizio Pieri
  Calcolo delle aree ed Inserimento dati in tabella MaxVerde 3 9,714 05-09-2014, 08:24 AM
Last Post: MaxVerde

Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)